Show / Hide Table of Contents

# Class EntryPoint

The main entrypoint for the Dalamud system.

##### Inheritance

System.Object
EntryPoint

##### Implements

EasyHook.IEntryPoint

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class EntryPoint : IEntryPoint

### Constructors

| Improve this Doc View Source

#### EntryPoint(RemoteHooking.IContext, DalamudStartInfo)

Initializes a new instance of the EntryPoint class.

##### Declaration

    public EntryPoint(RemoteHooking.IContext ctx, DalamudStartInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
EasyHook.RemoteHooking.IContext | ctx | The EasyHook.RemoteHooking.IContext used to load the DLL.
DalamudStartInfo | info | The DalamudStartInfo containing information needed to initialize Dalamud.

### Methods

| Improve this Doc View Source

#### Run(RemoteHooking.IContext, DalamudStartInfo)

Initialize all Dalamud subsystems and start running on the main thread.

##### Declaration

    public void Run(RemoteHooking.IContext ctx, DalamudStartInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
EasyHook.RemoteHooking.IContext | ctx | The EasyHook.RemoteHooking.IContext used to load the DLL.
DalamudStartInfo | info | The DalamudStartInfo containing information needed to initialize Dalamud.

### Implements

EasyHook.IEntryPoint